@echo OFF
CLS
echo.

Rem Check for Windows NT/2000/XP
if '%OS%'=='Windows_NT' goto :IsNT
echo Could not find Windows NT/2000/XP - Aborting!
echo.
goto :Done
:IsNT

set DESDIR=%SystemRoot%\System32
echo ==================================================================
echo This batch file will assist you in installing one of the 
echo HVFont CPI files into the Windows NT %DESDIR% directory 
echo ==================================================================
echo.

Rem Make sure we are on SystemDrive
if exist %SystemDrive%%0 goto :FoundThis
echo All files must be in System Directory %SystemDrive%
echo.
goto :Done
:FoundThis

Rem Make sure at least one HVEGA?.CPI file in this directory
if exist HVEGA?.CPI goto :HVFound
echo Must be run from directory containing HVEGAE.CPI, or HVEGAD.CPI and HVEGAB.CPI
echo.
goto :Done
:HVFound

set DESFILE=%DESDIR%\EGA.CPI
if exist %DESFILE% goto :DFFound
echo Could not find target CPI file %DESFILE% - Aborting!
echo.
goto :Done
:DFFound

Rem Precaution! Save copy of original CPI file
set OLDCPI=OLD_EGA.CPI
Rem . . . but not on subsequent runs
if exist %OLDCPI% goto :OldCPIOK
copy %DESFILE% %OLDCPI% >NUL
if exist %OLDCPI% goto :OldCPIOK
echo Could not save copy of %DESFILE% as %OLDCPI% - Aborting!
echo.
goto :Done
:OldCPIOK

if exist HVEGAB.CPI goto :FullVers
if exist HVEGAD.CPI goto :FullVers
set SRCFILE=HVEGAE.CPI
goto :ChckEq
:FullVers

Rem Default - default
set SRCFILE=HVEGAD.CPI

Rem Is one of the HVEGA files already installed?
if not exist HVEGAD.CPI goto :NotEGAD
FC.EXE /B HVEGAD.CPI %DESFILE% >NUL
if errorlevel 1 goto :NotEGAD
echo DOTTED space HVEGAD.CPI file currently installed
Rem Change default to opposite
set SRCFILE=HVEGAB.CPI
goto :HVEGA
:NotEGAD

if not exist HVEGAB.CPI goto :NotEGAB
FC.EXE /B HVEGAB.CPI %DESFILE% >NUL
if errorlevel 1 goto :NotEGAB
echo BLANK space HVEGAB.CPI currently installed
goto :HVEGA
:NotEGAB

if not exist HVEGAE.CPI goto :NotEGAE
FC.EXE /B HVEGAE.CPI %DESFILE% >NUL
if errorlevel 1 goto :NotEGAE
echo EVALUATION file HVEGAE.CPI currently installed
goto :HVEGA
:NotEGAE

echo No HVEGA CPI file installed
:HVEGA
echo.

Rem Default is standard dotted space font
if '%1.'=='HVEGAB.CPI.' goto :SetBlank
if '%1.'=='B.' goto :SetBlank
if '%1.'=='b.' goto :SetBlank
echo Using %SRCFILE% file as new EGA.CPI
goto :SetDot
:SetBlank
echo Using alternative BLANK Space font as new EGA.CPI
set SRCFILE=HVEGAB.CPI
:SetDot
echo.

:ChckEq
Rem Compare files with FC.EXE
FC.EXE /B %SRCFILE% %DESFILE% > NUL
if errorlevel 1 goto :Different
echo.
echo Source %SRCFILE% and destination %DESFILE% are identical!
echo Hit [Ctrl][C] to Cancel or . . .
pause
:Different

echo Copying %SRCFILE% to EGA.CPI
echo On next boot %DESFILE% will be overwritten with EGA.CPI
echo.
COPY %SRCFILE% EGA.CPI > NUL
MvInUseF.exe EGA.CPI %DESFILE%

:Done
